# $Revision: 1.24 $, $Date: 2011/07/30 19:53:39 $
Summary:	Plugins for Nagios to monitor remote disk and processes via SNMP
Summary(pl.UTF-8):	Wtyczki dla Nagiosa do zdalnego monitorowania dysku i procesów po SNMP
Name:		nagios-snmp-plugins
Version:	1.3
Release:	4
License:	GPL v2
Group:		Networking
Source0:	https://github.com/glensc/nagios-snmp-plugins/tarball/%{version}#/%{name}-%{version}.tgz
# Source0-md5:	c55730ba5fa379f02d2788f8d7f3b352
Source1:	%{name}.cfg
URL:		http://github.com/glensc/nagios-snmp-plugins
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	net-snmp-devel >= 5.2.1.2
Requires:	nagios-core
Requires:	net-snmp-libs
Obsoletes:	netsaint-snmp-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_libdir}/nagios/plugins

%description
These plugins allow you to monitor on a remote machine via SNMP:
- disk space
- running processes
- system load
- swap usage

%description -l pl.UTF-8
Te wtyczki pozwalają na zdalne monitorowanie zajętości dysku i
działajacych procesów po SNMP.

%prep
%setup -qc
mv *-nagios-snmp-plugins-*/* .

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir=%{plugindir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
%{__sed} -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.cfg
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.cfg
%attr(755,root,root) %{plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-snmp-plugins.spec,v $
Revision 1.24  2011/07/30 19:53:39  arekm
- release 4

Revision 1.23  2011/01/27 16:18:21  glen
- use github tarball

Revision 1.22  2011/01/27 12:24:36  glen
- use dropin, update desc

Revision 1.21  2010/10/15 13:26:11  glen
- new tarball

Revision 1.20  2010/10/14 16:41:11  glen
- up to 1.3 pre-release, use github source
- adds -p option to disk check

Revision 1.19  2010/06/06 13:02:50  glen
- release 5

Revision 1.18  2009/09/15 08:01:12  glen
- add check_snmp_load; rel 4

Revision 1.17  2009/09/15 07:12:43  glen
- basic swap monitoring via snmpd configuration
- rel 3

Revision 1.16  2008/11/07 11:49:27  glen
- improve list (-l) formatting; rel 2

Revision 1.15  2008/10/05 00:28:46  glen
- update to 1.2

Revision 1.14  2008-02-11 16:46:53  glen
- release 4

Revision 1.13  2008-02-09 19:05:35  glen
- rel 3

Revision 1.12  2007-11-20 01:12:49  glen
- rel 2

Revision 1.11  2007/08/28 06:57:14  glen
- update to 1.1

Revision 1.10  2007/08/27 06:47:16  glen
- provide default command define

Revision 1.9  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.7  2006/09/18 14:21:03  glen
- add formatting patch (join messages); rel 4

Revision 1.6  2006/06/09 15:42:45  wolf
- cosmetics

Revision 1.5  2005/10/06 22:27:52  glen
- require virtual nagios-core; rel 3

Revision 1.4  2005/10/06 14:19:20  glen
- rebuild with new net-snmp; rel 2

Revision 1.3  2004/12/07 21:15:00  glen
- rel 1; STBR

Revision 1.2  2004/12/07 18:11:34  qboosh
- pl, BR: ac,am, Obsoletes: netsaint-snmp-plugins

Revision 1.1  2004/12/06 13:00:27  glen
- initial spec
